## org.eclipse.datatools.modelbase.sql.query
Interface SuperGroup

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, Grouping, GroupingSpecification, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface SuperGroup

extends Grouping

A representation of the model object 'SQL Super Group'.

The following features are supported:

- `Super Group Type`
- `Super Group Element List`

See Also:
  `SQLQueryModelPackage.getSuperGroup()`

Method Summary
`org.eclipse.emf.common.util.EList` `getSuperGroupElementList()` Returns the value of the 'Super Group Element List' containment reference list.
`SuperGroupType` `getSuperGroupType()` Returns the value of the 'Super Group Type' attribute.
`void` `setSuperGroupType(SuperGroupType value)` Sets the value of the '`Super Group Type`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Grouping
`getGroupingSetsElementExpr, setGroupingSetsElementExpr`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.GroupingSpecification
`getQuerySelect, setQuerySelect`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSuperGroupType

    SuperGroupType getSuperGroupType()

  Returns the value of the 'Super Group Type' attribute. The literals are from the enumeration `SuperGroupType`.

  If the meaning of the 'Super Group Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Super Group Type' attribute.
  See Also:
    `SuperGroupType`, `setSuperGroupType(SuperGroupType)`, `SQLQueryModelPackage.getSuperGroup_SuperGroupType()`

### setSuperGroupType

    void setSuperGroupType(SuperGroupType value)

  Sets the value of the '`Super Group Type`' attribute.

  Parameters:
    `value` - the new value of the 'Super Group Type' attribute.
  See Also:
    `SuperGroupType`, `getSuperGroupType()`

### getSuperGroupElementList

    org.eclipse.emf.common.util.EList getSuperGroupElementList()

  Returns the value of the 'Super Group Element List' containment reference list. The list contents are of type `SuperGroupElement`. It is bidirectional and its opposite is '`Super Group`'.

  If the meaning of the 'Super Group Element List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Super Group Element List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getSuperGroup_SuperGroupElementList()`, `SuperGroupElement.getSuperGroup()`